## kernel-image-sparc-2.4 26

=== debian/changelog ===
kernel-image-sparc-2.4 (26) stable; urgency=low

  * More patches from davem, to fix serious bugs.
  * Strip kernel image so it fits better (makes SILO and TILO happy)

 -- Ben Collins <bcollins@debian.org>  Fri,  4 Oct 2002 17:25:20 -0400

kernel-image-sparc-2.4 (25) unstable; urgency=low

  * Updated III+ patch from DaveM

 -- Ben Collins <bcollins@debian.org>  Mon, 19 Aug 2002 08:59:27 -0400

kernel-image-sparc-2.4 (24) unstable; urgency=low

  * Added patch from DaveM to support III+

 -- Ben Collins <bcollins@debian.org>  Wed, 14 Aug 2002 14:43:42 -0400

kernel-image-sparc-2.4 (23) unstable; urgency=low

  * New 2.4.19 build.

 -- Ben Collins <bcollins@debian.org>  Sun, 11 Aug 2002 15:40:44 -0400

kernel-image-sparc-2.4 (22) unstable; urgency=low

  * Re-add ALI IDE driver, and Sun GEM driver. Else Blades don't work. We wont
    worry about size now, since I'll use the piggyback driver for tftp images
    now.

 -- Ben Collins <bcollins@debian.org>  Thu, 11 Apr 2002 12:00:43 -0400

kernel-image-sparc-2.4 (21) unstable; urgency=low

  * Add NetFilter modules (IPv4 and IPv6)
  * Trim some things to modules, or disable, in order to get the kernel image
    bootable by tilo.

 -- Ben Collins <bcollins@debian.org>  Sat,  6 Apr 2002 10:26:39 -0500

kernel-image-sparc-2.4 (20) unstable; urgency=low

  * Updates from Vger
  * Enabled nfsroot

 -- Ben Collins <bcollins@debian.org>  Tue, 26 Mar 2002 10:13:16 -0500

kernel-image-sparc-2.4 (19) unstable; urgency=low

  * 2.4.18 kernel source now.

 -- Ben Collins <bcollins@debian.org>  Wed, 13 Mar 2002 06:52:13 +0000

kernel-image-sparc-2.4 (18) unstable; urgency=low

  * Working on 2.4.16 now (with select patches from 2.4.17pre)
  * Added CONFIG_PACKET and CONFIG_SOCKET to sun4u kernels, so now dhcp
    requests should work. Closes: #119310.

 -- Ben Collins <bcollins@debian.org>  Wed, 14 Nov 2001 00:03:31 -0500

kernel-image-sparc-2.4 (17) unstable; urgency=low

  * Sync with VGER CVS.
  * Sync with IEEE1394 CVS.
  * Using 2.4.10 now.

 -- Ben Collins <bcollins@debian.org>  Tue,  2 Oct 2001 13:58:18 -0400

kernel-image-sparc-2.4 (16) unstable; urgency=low

  * Sync with VGER CVS. This includes fixes for jumping to address 0 and
    some other oddities.

 -- Ben Collins <bcollins@debian.org>  Thu, 30 Aug 2001 12:24:05 -0400

kernel-image-sparc-2.4 (15) unstable; urgency=low

  * Sync with VGER CVS. This is now 2.4.9 time

 -- Ben Collins <bcollins@debian.org>  Fri, 24 Aug 2001 14:33:20 -0400

kernel-image-sparc-2.4 (14) unstable; urgency=low

  * Sync with VGER CVS. Includes the ieee1394 patch, also has fix for X1
    network card support.

 -- Ben Collins <bcollins@debian.org>  Thu,  9 Aug 2001 23:48:10 -0400

kernel-image-sparc-2.4 (13) unstable; urgency=low

  * Sync with VGER, using 2.4.7 source now.
  * Also add the 1394 updates I sent to Linus

 -- Ben Collins <bcollins@debian.org>  Mon, 23 Jul 2001 20:04:25 -0400

kernel-image-sparc-2.4 (12) unstable; urgency=high

  * Sync to vger CVS, includes some fixes for sb1000

 -- Ben Collins <bcollins@debian.org>  Thu, 21 Jun 2001 10:09:04 -0400

kernel-image-sparc-2.4 (11) unstable; urgency=low

  * New vger CVS
  * Add ieee1394/ohci1394/sbp2 patches...working sbp2 drive on ultrasparc
    now
  * Use egcs64 now...gcc-3.0-sparc64 seems to have some issues that aren't
    worked out yet.

 -- Ben Collins <bcollins@debian.org>  Tue, 19 Jun 2001 09:47:36 -0400

kernel-image-sparc-2.4 (10) unstable; urgency=low

  * New Vger CVS diff

 -- Ben Collins <bcollins@debian.org>  Tue, 12 Jun 2001 22:33:31 -0400

kernel-image-sparc-2.4 (9) unstable; urgency=low

  * New VGER CVS patch (this is actually 2.4.6pre1)
  * Remove our linux-logo addon, since it now conflicts. Maybe I'll update
    it soon.

 -- Ben Collins <bcollins@debian.org>  Fri,  8 Jun 2001 14:28:10 -0400

kernel-image-sparc-2.4 (8) unstable; urgency=low

  * Use 2.4.5 source now.

 -- Ben Collins <bcollins@debian.org>  Mon, 28 May 2001 23:59:57 -0400

kernel-image-sparc-2.4 (7) unstable; urgency=low

  * Enable CONFIG_FILTER, closes: #98589

 -- Ben Collins <bcollins@debian.org>  Thu, 24 May 2001 11:49:35 -0400

kernel-image-sparc-2.4 (6) unstable; urgency=high

  * Duh, boot-floppies needs loop built-in, not as a module

 -- Ben Collins <bcollins@debian.org>  Thu, 17 May 2001 11:05:43 -0400

kernel-image-sparc-2.4 (5) unstable; urgency=high

  * Resync with vger CVS. This does two things:
    - Pull in the piggyback/tilo fixing patch
    - Pull in the PCI domain patches for XF4

 -- Ben Collins <bcollins@debian.org>  Wed, 16 May 2001 13:10:47 -0400

kernel-image-sparc-2.4 (4) unstable; urgency=high

  * Duh, we need initrd
  * Set urgency high, so this gets into testing quicker

 -- Ben Collins <bcollins@debian.org>  Sun, 13 May 2001 12:55:52 -0400

kernel-image-sparc-2.4 (3) unstable; urgency=low

  * Synced with vger CVS, this includes our needed XFree86 4.0.x changes
    from Dave Miller

 -- Ben Collins <bcollins@debian.org>  Sat, 12 May 2001 10:15:49 -0400

kernel-image-sparc-2.4 (2) unstable; urgency=low

  * Now on to the famous 2.4.4 kernel...we're forcing compilation with
    gcc-3.0 on sun4u now, since it works better

 -- Ben Collins <bcollins@debian.org>  Sun, 29 Apr 2001 19:45:46 -0400

kernel-image-sparc-2.4 (1) unstable; urgency=low

  * Split for 2.4.x kernels, starting off with 2.4.3 (you lucky kernel you)

 -- Ben Collins <bcollins@debian.org>  Sun, 22 Apr 2001 12:22:41 -0400

kernel-image-sparc-2.2 (6) stable unstable; urgency=low

  * Using 2.2.19 final now
  * remove support directories for all by 2.2.19 now

 -- Ben Collins <bcollins@debian.org>  Mon,  2 Apr 2001 11:48:57 -0400

kernel-image-sparc-2.2 (5) stable unstable; urgency=low

  * Using 2.2.19pre17 now

 -- Ben Collins <bcollins@debian.org>  Wed, 14 Mar 2001 20:59:57 -0500

kernel-image-sparc-2.2 (4) stable unstable; urgency=low

  * Using 2.2.19pre11 now
  * Updated config's
  * Changes the way that kernel-headers are generated


