=== debian/control ===
Source: kernel-image-sparc-2.4
Section: base
Priority: optional
Maintainer:  Ben Collins <bcollins@debian.org>
Standards-Version: 3.5.3.0
Build-Depends: egcs64, kernel-source-2.4, sparc-utils, bzip2

Package: kernel-headers-2.4.19-sparc
Section: devel
Architecture: all
Priority: optional
Provides: kernel-headers, kernel-headers-2.4
Description: Kernel header files for all sparc sub architectures
 This package provides kernel header files, for sites that want the latest
 kernel headers for sparc.

Package: kernel-image-2.4.19-sun4u
Section: base
Architecture: sparc
Priority: optional
Provides: kernel-image, kernel-image-2.4
Depends: modutils (>= 2.4.5-1)
Suggests: silo,  fdutils, kernel-doc-2.4.19
Description: Linux kernel binary image for UltraSPARC (sun4u) systems.
 This package contains the Linux kernel image, the System.map file,
 and the modules built by the packager.  It also contains scripts that
 try to ensure that the system is not left in a unbootable state
 after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional. 
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
 .
 NOTE: This kernel is strictly for UltraSPARC (sun4u) class systems. If you
 do not have an UltraSPARC, then most likely you want the sun4cdm image.

Package: kernel-image-2.4.19-sun4u-smp
Section: base
Architecture: sparc
Priority: optional
Provides: kernel-image, kernel-image-2.4
Suggests: silo,  fdutils, kernel-doc-2.4.19
Depends: modutils (>= 2.4.5-1)
Description: Linux kernel binary image for SMP UltraSPARC (sun4u) systems.
 This package contains the Linux kernel image, the System.map file,
 and the modules built by the packager.  It also contains scripts that
 try to ensure that the system is not left in a unbootable state
 after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
 .
 NOTE: This kernel is strictly for UltraSPARC (sun4u) class systems. If you
 do not have an UltraSPARC, then most likely you want the sun4cdm image.
 Also, this kernel is specifically for SMP (multiple processors) systems. If
 you do not have more than one CPU, then choose the non-SMP kernel image.
