## kernel-image-sparc-2.4 26woody1

=== debian/changelog ===
kernel-image-sparc-2.4 (26woody1) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Build against kernel-source-2.4.19 (2.4.19-4.woody3)
  * Add missing build dependencies on kernel-package, modutils, and debhelper
  * Enable new config option as module (CONFIG_CHR_DEV_SCH)

 -- dann frazier <dannf@debian.org>  Sat, 17 Dec 2005 13:38:17 -0700
