=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer:  Ben Collins <bcollins@debian.org>
 Standards-Version: 3.5.3.0
-Build-Depends: egcs64, kernel-source-2.4, sparc-utils, bzip2
+Build-Depends: egcs64, kernel-source-2.4.19 (>= 2.4.19-4.woody3), sparc-utils, bzip2, kernel-package, modutils, debhelper
 
 Package: kernel-headers-2.4.19-sparc
 Section: devel
