=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 KPKG_MAINTAINER	:= "Ben Collins"
 KPKG_EMAIL	:= "bcollins@debian.org"
-VERSION		:= $(shell cd /usr/src && ls -d kernel-source-2.4.* | tail -1 | sed -e s/kernel-source-\\\(.\*\\\).tar.bz2/\\1/)
+VERSION		:= 2.4.19
 SHELL		:= /bin/bash -e
 DEFAULT_ARCH	:= sun4cdm
 # just a default
