## kernel-image-sparc-2.4 39

=== debian/changelog ===
kernel-image-sparc-2.4 (39) unstable; urgency=low

  * Joshua Kwan
    - Back out Ben's SILO-initrd patch. Busted.
    - Build openprom.o into the kernel to allow discover goodness to
      occur. Does not bust the size barrier.

 -- Joshua Kwan <joshk@triplehelix.org>  Sat, 19 Jun 2004 19:52:22 -0700

kernel-image-sparc-2.4 (38) unstable; urgency=medium

  * Joshua Kwan
    - Bump CONFIG_BLK_DEV_RAM_SIZE to 8192 to fix netboots for d-i.
    - Add dummy packages kernel-image-2.4-sparc{32,64}{,-smp} to facilitate
      upgrades.
    - Make the build process smarter so it doesn't need sparc-utils and
      can thus be cross-compiled.
    - Fix short descriptions and remove Emacs settings from changelog.
    - Remove obsolete include.{prerm,postinst} and choose-env that aren't
      used anymore.
    - Patch work
      + 02_sparc64_use_CC: use $(CC) instead of 'gcc' for tests in
        arch/sparc64/Makefile.
      + 03_sparc64_lvalue_casts: fix large amounts of warning output for
        asm-sparc64/pgalloc.h by fixing casts of lvalues.
      + 04_sparc32_use_ld_-V: use $(LD) -V | grep elf64_sparc for the
        $(NEW_GAS) test.
      + 05_silo_initrd_EXP.dpatch (new): Debugging code to figure out the
        whole initrd mess on sparc64.
    - Use tar --bzip2 -xf to make backports frendlier.

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 26 May 2004 18:30:56 -0700

kernel-image-sparc-2.4 (37) unstable; urgency=medium

  * Joshua Kwan
    - [sparc32] Build isofs.o into the kernel image to remove the need for
      a special isofs module package (!) for the Debian installer.
    - Lose some highly uncommon framebuffer drivers to cut down on kernel
      image size (FB drivers aren't modularized), because the PROM console
      works anyway.

 -- Joshua Kwan <joshk@triplehelix.org>  Fri, 23 Apr 2004 18:23:36 -0700

kernel-image-sparc-2.4 (36) unstable; urgency=medium

  * New maintainers Rob Radez and Joshua Kwan.
  * Bump to 2.4.26
    - mremap vulnerabilities are all addressed.
    - All patches to 2.4.24 sources have been merged; remove all patches
      in patches-obsolete, move patches/* to patches-obsolete
  
  * Enable CONFIG_QUOTA. (Closes: #231246)
  * Enable CONFIG_CRAMFS. (Closes: #236052)
  * Modularize some less oft-used drivers to shrink the kernel
    to a usable size for sparc32 SMP kernels. (Closes: #234404)
  * Disable CONFIG_BT848, it's broken even with the fix in the dpatch
    below.

  * Patch work
    - 01_sparc64_i2c.dpatch: rope in drivers/i2c/Config.in for sparc64,
      build as modules CONFIG_I2C and CONFIG_I2C_ALGOBIT to resolve depmod
      issues (Closes: #234442)
  
  * Trivial fixes
    - Remove kernel-headers stuff - superseded by linux-kernel-headers
      last release, but files were never removed from debian/.
    - Remove unused generate-asm.sh.
    - Fix some extraneous spaces in the control file.
    - Fix build-dependencies for kernel-package and modutils.
    - Fix insidious bug where sparc32/64 wasn't being used all the time.

 -- Joshua Kwan <joshk@triplehelix.org>  Sun,  4 Apr 2004 17:49:16 -0700

kernel-image-sparc-2.4 (35) unstable; urgency=low

  * Bump to 2.4.24. Closes: #162462, #230245, #218195, #225170, #225429
  * Remove udeb's. Closes: #227644, #227622
  * Added debhelper to build depends. Finally Closes: #176192
  * check_asm.c fixed in source tarball. Closes: #227467
  * Added kernel-package to build depends. Closes: #227626
  * Updated default configs. Closes: #227276, #205374
  * Includes patches in #223893. Closes: #223893
  * Added APPEND_TO_VERSION for builds. Closes: #227647, #223571
  * Enabled CONFIG_SUN_BPP=m. Closes: #166253
  * Newer SILO available can boot larger images. Added patch to allow these
    kernels to be loaded into higher memory. Closes: #225848
  * Get rid of kernel-headers package. Glibc is now using some other generic
    package.

 -- Ben Collins <bcollins@debian.org>  Sat, 29 Nov 2003 10:13:34 -0500

kernel-image-sparc-2.4 (34) unstable; urgency=low

  * Added debhelper to build depends. Finally Closes: #176192

 -- Ben Collins <bcollins@debian.org>  Fri,  8 Aug 2003 13:15:45 -0400

kernel-image-sparc-2.4 (33) unstable; urgency=low

  * Add Jalapeno/Tomatillo patches for IIIi systems (Sun Fire v210/v240). The
    tigon3 chips on these system still don't work, but this is a start.
  * Enable NCPfs.
  * Add fixups for tg3 on newer Sun hardware.
  * Build tg3 into the kernel for sparc64.
  * Add patch for sparc32 and gcc-3.3.1.
  * Switch to the tulip built-in for X1's

 -- Ben Collins <bcollins@debian.org>  Sat,  2 Aug 2003 11:55:22 -0400

kernel-image-sparc-2.4 (32) unstable; urgency=low

  * Add patch from DaveM to get gcc-3.3 compiles working on sparc64.
  * Add patch from me to get things booting on newer OBP's.
  * Change de4x5 driver to builtin, instead of module.

 -- Ben Collins <bcollins@debian.org>  Wed, 16 Jul 2003 10:44:28 -0400

kernel-image-sparc-2.4 (31) unstable; urgency=low

  * *sigh* Debian-installer requires tmpfs in addition to ramfs.

 -- Ben Collins <bcollins@debian.org>  Tue, 10 Jun 2003 11:22:31 -0400

kernel-image-sparc-2.4 (30) unstable; urgency=low

  * Add all NLS modules. Enable some advanced router options on sparc64.
    Enable sun12x22 font. Change cdrom/ide-cd/sr_mod to modules in sparc64.
    Closes: #196502
  * Make loopback block device compiled into sparc32.
  * Do not compress the udeb kernels.
  * Add new ide/scsi module udeb's for sparc64.

 -- Ben Collins <bcollins@debian.org>  Sun,  8 Jun 2003 16:36:05 -0400

kernel-image-sparc-2.4 (29) unstable; urgency=low

  * Fix description of IEEE1394 udeb package.
  * Compress udeb kernels.
  * Fix name and location of udeb kernels.
  * Add sun4cdm and sun4dm-smp builds.
  * Convert everything to the sparc32/sparc64 naming scheme.
  * Fixup options to include forgotten initrd in sparc64, and forgotten
    nfsroot support.
  * Update build-deps:
    - bzip2 uneeded, since kernel-source deps on it.

