=== debian/control ===
Source: kernel-image-sparc-2.4
Section: devel
Priority: optional
Maintainer: Debian SPARC 2.4 Kernel Maintainers <sparc24-maint@triplehelix.org>
Uploaders: Rob Radez <rob@osinvestor.com>, Joshua Kwan <joshk@triplehelix.org>
Standards-Version: 3.6.1.0
Build-Depends: gcc-3.3, kernel-source-2.4.26, debhelper (>= 4), kernel-package, dpatch

Package: kernel-image-2.4-sparc32
Section: base
Priority: optional
Depends: kernel-image-2.4.26-sparc32 (= ${Source-Version})
Architecture: sparc
Description: Linux 2.4 kernel binary image for sun4c, sun4m, and sun4d
 This package will always depend on the latest 2.4 kernel for uniprocessor
 32-bit SPARC machines. Currently the latest version is 2.4.26.

Package: kernel-image-2.4-sparc32-smp
Section: base
Priority: optional
Depends: kernel-image-2.4.26-sparc32-smp (= ${Source-Version})
Architecture: sparc
Description: Linux 2.4 kernel binary image for SMP sun4c, sun4m, and sun4d
 This package will always depend on the latest 2.4 kernel for multiprocessor
 32-bit SPARC machines. Currently the latest version is 2.4.26.
 
Package: kernel-image-2.4-sparc64
Section: base
Priority: optional
Depends: kernel-image-2.4.26-sparc64 (= ${Source-Version})
Architecture: sparc
Description: Linux 2.4 kernel binary image for UltraSPARC (sparc64) systems
 This package will always depend on the latest 2.4 kernel for uniprocessor
 UltraSPARC machines. Currently the latest version is 2.4.26.

Package: kernel-image-2.4-sparc64-smp
Section: base
Priority: optional
Depends: kernel-image-2.4.26-sparc64-smp (= ${Source-Version})
Architecture: sparc
Description: Linux 2.4 kernel binary image for SMP UltraSPARC (sparc64) systems
 This package will always depend on the latest 2.4 kernel for multiprocessor
 64-bit UltraSPARC machines. Currently the latest version is 2.4.26.
 
Package: kernel-image-2.4.26-sparc32
Section: base
Architecture: sparc
Priority: optional
Provides: kernel-image, kernel-image-2.4
Suggests: silo, fdutils, kernel-doc-2.4.26
Description: Linux kernel binary image for sun4c, sun4m and sun4d
 This package contains the Linux kernel image, the System.map file,
 and the modules built by the packager.  It also contains scripts that
 try to ensure that the system is not left in a unbootable state
 after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and SILO, for a
 powerful bootloader. Of course, both these are optional. 
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
 .
 NOTE: sparc32 includes virtually all non-UltraSPARC systems. If you do not
 have an UltraSPARC, this is most likely the kernel you want.

Package: kernel-image-2.4.26-sparc32-smp
Section: base
Architecture: sparc
Priority: optional
Provides: kernel-image, kernel-image-2.4
Suggests: silo, fdutils, kernel-doc-2.4.26
Description: Linux kernel binary image for SMP sun4m and sun4d
 This package contains the Linux kernel image, the System.map file,
 and the modules built by the packager.  It also contains scripts that
 try to ensure that the system is not left in a unbootable state
 after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and SILO, for a
 powerful bootloader. Of course, both these are optional.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
 .
 NOTE: sparc32 includes virtually all non-UltraSPARC systems. If you do not
 have an UltraSPARC, this is most likely the kernel you want. Also, this
 kernel is specifically for SMP (multiple processors) systems. If you do not
 have more than one CPU, then choose the non-SMP kernel image.

Package: kernel-image-2.4.26-sparc64
Section: base
Architecture: sparc
Priority: optional
Provides: kernel-image, kernel-image-2.4
Suggests: silo, fdutils, kernel-doc-2.4.26
Description: Linux kernel binary image for UltraSPARC (sparc64) systems
 This package contains the Linux kernel image, the System.map file,
 and the modules built by the packager.  It also contains scripts that
 try to ensure that the system is not left in a unbootable state
 after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional. 
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
 .
 NOTE: This kernel is strictly for UltraSPARC (sparc64) class systems. If you
 do not have an UltraSPARC, then most likely you want the sparc32 image.

Package: kernel-image-2.4.26-sparc64-smp
Section: base
Architecture: sparc
Priority: optional
Provides: kernel-image, kernel-image-2.4
Suggests: silo, fdutils, kernel-doc-2.4.26
Description: Linux kernel binary image for SMP UltraSPARC (sparc64) systems
 This package contains the Linux kernel image, the System.map file,
 and the modules built by the packager.  It also contains scripts that
 try to ensure that the system is not left in a unbootable state
 after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
 .
 NOTE: This kernel is strictly for UltraSPARC (sparc64) class systems. If you
 do not have an UltraSPARC, then most likely you want the sparc32 image.
 Also, this kernel is specifically for SMP (multiple processors) systems. If
 you do not have more than one CPU, then choose the non-SMP kernel image.
